#if !defined(AFX_CAMERASELECTDLG_H__94FDCD9E_2C1B_4DB1_9CC7_C98C4DE80247__INCLUDED_)
#define AFX_CAMERASELECTDLG_H__94FDCD9E_2C1B_4DB1_9CC7_C98C4DE80247__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CameraSelectDlg.h
//

/////////////////////////////////////////////////////////////////////////////
// CCameraSelectDlg

class CCameraSelectDlg : public CDialog
{
public:
	CCameraSelectDlg(CWnd* pParent = NULL);

	HANDLE	m_hCamera;

	//{{AFX_DATA(CCameraSelectDlg)
	enum { IDD = IDD_CAMERA_SELECT_DIALOG };
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CCameraSelectDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV
	//}}AFX_VIRTUAL
private:
	BOOL	GetCameraInfoList();
#ifdef _WIN64
	UINT_PTR	m_nTimer;
#else
	UINT	m_nTimer;
#endif
	CPtrArray	m_aCamera;

protected:

	//{{AFX_MSG(CCameraSelectDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
#ifdef _WIN64
	afx_msg void OnTimer(UINT_PTR nIDEvent);
#else
	afx_msg void OnTimer(UINT nIDEvent);
#endif
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_CAMERASELECTDLG_H__94FDCD9E_2C1B_4DB1_9CC7_C98C4DE80247__INCLUDED_)
